Dump LDAP object
GET
/domains/ldap/dump
const url = 'https://example.com/api/v1/domains/ldap/dump?ID=example';const options = {method: 'GET', headers: {cookie: 'grommunioAuthJwt=<grommunioAuthJwt>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url 'https://example.com/api/v1/domains/ldap/dump?ID=example' \ --cookie grommunioAuthJwt=<grommunioAuthJwt>Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Query Parameters
Section titled “Query Parameters”domain
integer
ID of the domain
organization
integer
ID of the organization
ID
required
string
LDAP object ID of the person to import
Responses
Section titled “Responses”LDAP object description returned
Media typeapplication/json
object
data
string
Examplegenerated
{ "data": "example"}Validation of input parameters failed
Media typeapplication/json
object
message
string
errors
List of errors encountered during validation
Array<string>
Examplegenerated
{ "message": "example", "errors": [ "example" ]}User not allowed to view domain
The requested resource could not be found
Media typeapplication/json
object
message
string
Examplegenerated
{ "message": "example"}An error occurred while processing the request
Media typeapplication/json
object
message
String representation of the exception
string
Examplegenerated
{ "message": "example"}One of the required external services is unavailable
Media typeapplication/json
object
message
Description of the error
string
Examplegenerated
{ "message": "example"}